commit:     87ce5b9f5daca42ec9db9dcaf18ab6e8088d93f9
Author:     Florian Schmaus <flow <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 11 08:11:58 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Sep 11 08:12:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=87ce5b9f

dev-util/gitlab-ci-local-bin: add 4.43.0

Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-util/gitlab-ci-local-bin/Manifest              |  1 +
 .../gitlab-ci-local-bin-4.43.0.ebuild              | 41 ++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-util/gitlab-ci-local-bin/Manifest 
b/dev-util/gitlab-ci-local-bin/Manifest
index 9942a931ae..535267300b 100644
--- a/dev-util/gitlab-ci-local-bin/Manifest
+++ b/dev-util/gitlab-ci-local-bin/Manifest
@@ -1 +1,2 @@
 DIST gitlab-ci-local-bin-4.42.0.gz 19647095 BLAKE2B 
5aa7fda0b9bc59a2a201e7e9bc106ee0d39b561abe9ebc7d14e9da83f169452f778e1b91549e9d40d9bcdf827e6e9c2a759cd8ae1ddad89af02b65806daf2a55
 SHA512 
423bdefaf472bea71aa73d728fa1d1a75fa525de0ec360aa165c39af96c191c9aa421c3f8ce5e3d149f3f652abb0e010cc2460c106625bd39daa63cde3d88a54
+DIST gitlab-ci-local-bin-4.43.0.gz 19642956 BLAKE2B 
9fe5bdc898e47ae20f910d210ac1195818d1e9086b108be117bb91bcca7576e988efa2ace8064792150ff60dd2f42cfcb613edc44a6bb5fd1df4cc057b73671c
 SHA512 
e5464f8356137aca05cfe0742a707d9f2674eccb4a88ad7d5ff9d808a9801952065d93e048b1ea7f02f0be94bbf6796e5de8de2e5993e9a81a921be63827fd74

diff --git a/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild 
b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild
new file mode 100644
index 0000000000..7e5c8ce879
--- /dev/null
+++ b/dev-util/gitlab-ci-local-bin/gitlab-ci-local-bin-4.43.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion
+
+DESCRIPTION="Run gitlab pipelines locally as shell executor or docker executor"
+HOMEPAGE="https://github.com/firecow/gitlab-ci-local";
+SRC_URI="https://github.com/firecow/gitlab-ci-local/releases/download/${PV}/linux.gz
 -> ${P}.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# gitlab-ci-local requires debug information to run, as it performs a
+# sort of self-introspection.
+RESTRICT="strip"
+
+S="${WORKDIR}"
+
+MY_PN="${PN/-bin/}"
+
+QA_PREBUILT="usr/bin/gitlab-ci-local"
+
+src_prepare() {
+       default
+
+       chmod 755 ${P} || die
+}
+
+src_compile() {
+       # Generate zsh completion.
+       ./${P} --completion > _${MY_PN} || die
+}
+
+src_install() {
+       newbin ${P} ${MY_PN}
+
+       dozshcomp _${MY_PN}
+}

Reply via email to